:root {
	--color-primary: 201, 100%, 45%;
	--color-primary-btn-hover: 201, 100%, 40%;
	--color-secondary: 163, 41%, 93%;
	--color-secondary-btn-hover: 163, 41%, 98%;
	--color-success: 111, 100%, 38%;
	--color-success-light: 77, 100%, 80%;
	--color-success-btn-hover: 111, 100%, 43%;
	--color-error: 21, 100%, 38%;
	--color-error-light: 2, 100%, 80%;
	--color-error-btn-hover: 21, 100%, 43%;
	--color-warning: 34, 94%, 58%;
	--color-warning-light: 49, 100%, 79%;
	--color-warning-btn-hover: 34, 94%, 63%;
	--color-info: 201, 100%, 45%;
	--color-info-light: 195, 100%, 79%;
	--color-info-btn-hover: 201, 100%, 50%;
	--color-black: 0, 0%, 0%;
	--color-black-btn-hover: 0, 0%, 5%;
	--color-white: 0, 0%, 100%;
	--color-neutral-025: 0, 0%, 97.5%;
	--color-neutral-050: 0, 0%, 95%;
	--color-neutral-075: 0, 0%, 92.5%;
	--color-neutral-100: 0, 0%, 90%;
	--color-neutral-150: 0, 0%, 85%;
	--color-neutral-200: 0, 0%, 80%;
	--color-neutral-250: 0, 0%, 75%;
	--color-neutral-300: 0, 0%, 70%;
	--color-neutral-350: 0, 0%, 65%;
	--color-neutral-400: 0, 0%, 60%;
	--color-neutral-450: 0, 0%, 55%;
	--color-neutral-500: 0, 0%, 50%;
	--color-neutral-550: 0, 0%, 45%;
	--color-neutral-600: 0, 0%, 40%;
	--color-neutral-650: 0, 0%, 35%;
	--color-neutral-700: 0, 0%, 30%;
	--color-neutral-750: 0, 0%, 25%;
	--color-neutral-800: 0, 0%, 20%;
	--color-neutral-850: 0, 0%, 15%;
	--color-neutral-900: 0, 0%, 10%;
	--color-neutral-925: 0, 0%, 7.5%;
	--color-neutral-950: 0, 0%, 5%;
	
	--color-page-preview-section-edit: 0, 0%, 0%;
	--color-page-preview-attr-edit: 329, 100%, 70%;
	
	--color-test: hsl(201, 100%, 45%);
}

html, body { xheight:100%; scroll-behavior:smooth; }
html { font-size:1rem; }
body { color:hsl(var(--color-white)); font-family:Arial, Helvetica, sans-serif; font-size:1.1rem; line-height:1.6em; background:hsl(var(--color-neutral-950)); }
body a { color:hsl(var(--color-white)); }
body a:hover { text-decoration:none; }
body a:hover, body a:active { outline:0; }
body b,
body strong { font-weight:700; }
body *:focus { outline:dashed 2px turquoise; outline-offset:3px; }

input[type="text"], input[type="password"], input[type="email"], textarea, select, input[type="submit"], input[type="button"], button, .btn, .input { border:1px solid hsl(var(--color-neutral-650)); -webkit-border-radius:0; -moz-border-radius:0; border-radius:0; color:hsl(var(--color-white)); font-size:1.2rem; line-height:2rem; margin:0; padding:0.75rem 0.75rem; width:100%; background:hsl(var(--color-neutral-750)); appearance:none; -webkit-appearance:none; -moz-appearance:none; vertical-align:middle; border-radius:0.25rem; }
textarea { height:6.6rem; }
select { -webkit-box-sizing:border-box; -moz-box-sizing:border-box; box-sizing:border-box; -webkit-appearance:none; -moz-appearance:none; background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24'%3E%3Cpath fill='white' d='M0 7.33l2.829-2.83 9.175 9.339 9.167-9.339 2.829 2.83-11.996 12.17z'/%3E%3C/svg%3E"); background-repeat:no-repeat; background-position:right 1rem center; }
select::-ms-expand { display:none; } 
input::-moz-focus-inner { border:0; }
fieldset { border:none; padding:0; }


.clear:before, .clear:after { content:" "; display:table; }
.clear:after { clear:both; }

.wrapper { /*max-width:1500px;*/ margin:0 auto; }
.container { /* max-width:1200px; */ margin:0 auto; }
.container.wide { /* max-width:1500px; */ }
.container.narrow { /* max-width:950px; */ }

.skip-to { position:absolute; z-index:100; left:-10000px; top:auto; width:1px; height:1px; overflow:hidden; }
.skip-to:focus { top:10px; left:10px; width:auto; height:auto; padding:0.5rem; }

/* Flash Messages */
section.flash { padding:20px 0; background:hsl(var(--color-neutral-050)); }
.flash-messages > ul { margin:0; padding:0; list-style:none; }
.flash-messages > ul li { margin:10px 0; padding:20px; color:hsl(var(--color-white)); font-size:1.2rem; line-height:1.5em; text-align:center; list-style:none; background:hsl(var(--color-neutral-300)); border:solid 1px hsl(var(--color-neutral-300)); -webkit-border-radius:4px; -moz-border-radius:4px; border-radius:4px; }
.flash-messages .success li { background:hsl(var(--color-success)); border-color:hsl(var(--color-success)); }
.flash-messages .error li { background:hsl(var(--color-error)); border-color:hsl(var(--color-error)); }
.flash-messages .warning li { background:hsl(var(--color-warning)); border-color:hsl(var(--color-warning)); }
.flash-messages .info li { background:hsl(var(--color-info)); border-color:hsl(var(--color-info)); }

/* Cookie Banner */
.cookie-banner { position:fixed; z-index:751; left:0; right:0; bottom:0; width:580px; max-width:100%; padding:20px;
animation-duration:1500ms;
animation-timing-function: ease-in-out;
animation-delay:0ms;
animation-iteration-count:1;
animation-name:cookieBannerAnimate;
}
.cookie-banner a { color:hsl(var(--color-white)); }
.cookie-banner .cookie-banner__inner { position:relative; padding:20px 60px 20px 30px; font-size:1rem; line-height:1.6em; color:hsl(var(--color-white)); background:hsla(var(--color-black), 90%); border-radius:4px; }
.cookie-banner .cookie-banner__flex { display:flex; }
.cookie-banner .cookie-banner__icon .ico { margin-right:1rem; }
.cookie-banner .cookie-banner__close { position:absolute; right:10px; top:10px; font-size:2em; text-decoration:none; }

/* Buttons */
input[type="submit"], input[type="button"], button, .btn { display:inline-block; height:auto; width:auto; padding-block:1.2rem; padding-inline:2.2rem; color:hsl(var(--color-white)); font-size:1rem; font-weight:normal; text-decoration:none; text-align:center; line-height:1.3rem; border:solid 1px hsl(var(--color-primary)); background:hsl(var(--color-primary)); border-radius:0.5rem; transition:transform 100ms ease-out; }
.btn.slim { padding-block:1rem; }
.btn.upper { text-transform:uppercase; }
.btn:hover,
.btn:focus { background:hsl(var(--color-primary-btn-hover)); border-color:hsl(var(--color-primary-btn-hover)); }
.btn:active { transform:scale(0.95); }
.btn.secondary { background:hsl(var(--color-secondary)); border-color:hsl(var(--color-secondary)); color:hsl(var(--color-black)); }
.btn.secondary:hover,
.btn.secondary:focus { background:hsl(var(--color-secondary-btn-hover)); border-color:hsl(var(--color-secondary-btn-hover)); }
.btn.success { background:hsl(var(--color-success)); border-color:hsl(var(--color-success)); }
.btn.success:hover,
.btn.success:focus { background:hsl(var(--color-success-btn-hover)); border-color:hsl(var(--color-success-btn-hover)); }
.btn.error { background:hsl(var(--color-error)); border-color:hsl(var(--color-error)); }
.btn.error:hover,
.btn.error:focus { background:hsl(var(--color-error-btn-hover)); border-color:hsl(var(--color-error-btn-hover)); }
.btn.warning { background:hsl(var(--color-warning)); border-color:hsl(var(--color-warning)); }
.btn.warning:hover,
.btn.warning:focus { background:hsl(var(--color-warning-btn-hover)); border-color:hsl(var(--color-warning-btn-hover)); }
.btn.info { background:hsl(var(--color-info)); border-color:hsl(var(--color-info)); }
.btn.info:hover,
.btn.info:focus { background:hsl(var(--color-info-btn-hover)); border-color:hsl(var(--color-info-btn-hover)); }
.btn.white { background:hsl(var(--color-white)); border-color:hsl(var(--color-white)); }
.btn.black { background:hsl(var(--color-black)); border-color:hsl(var(--color-black)); }
.btn.black:hover
.btn.black:focus { background:hsl(var(--color-black-btn-hover)); border-color:hsl(var(--color-black-btn-hover)); }
.btn.outline { color:hsl(var(--color-primary)); background:transparent !important; }
.btn.outline.secondary { color:hsl(var(--color-secondary)); }
.btn.outline.success { color:hsl(var(--color-success)); }
.btn.outline.error { color:hsl(var(--color-error)); }
.btn.outline.warning { color:hsl(var(--color-warning)); }
.btn.outline.info { color:hsl(var(--color-info)); }
.btn.outline.white { color:hsl(var(--color-white)); }
.btn.outline.black { color:hsl(var(--color-black)); }

/* Headings */
.hdr { display:block; margin:0 0 1.5rem 0; color:hsl(var(--color-white)); font-size:1rem; line-height:1.3em; font-weight:700; }
.hdr.regular { font-weight:normal; }
.hdr.tight { margin:0 0 1rem 0; }
.hdr.no-space { margin:0 0 0 0; }
.hdr.upper { text-transform:uppercase; }
.hdr.xxlarge { font-size:3.5rem; line-height:1.3em; }
.hdr.xlarge { font-size:3rem; line-height:1.3em; }
.hdr.large { font-size:2.6rem; line-height:1.3em; }
.hdr.medium { font-size:2.2rem; line-height:1.3em; }
.hdr.small { font-size:1.8rem; line-height:1.3em; }
.hdr.xsmall { font-size:1.5rem; line-height:1.3em; }
.hdr.xxsmall { font-size:1.2rem; line-height:1.3em; }
.hdr.white { color:hsl(var(--color-white)); }
.hdr.black { color:hsl(var(--color-black)); }

/* Icons */
.ico { position:relative; display:inline-block; width:100%; height:auto; aspect-ratio:1; vertical-align:middle; font-size:0; line-height:1; fill:hsl(var(--color-black)); }
.ico.size-8 { width:8px !important; height:8px !important; }
.ico.size-16 { width:16px !important; height:16px !important; }
.ico.size-20 { width:20px !important; height:20px !important; }
.ico.size-24 { width:24px !important; height:24px !important; }
.ico.size-30 { width:30px !important; height:30px !important; }
.ico.size-40 { width:40px !important; height:40px !important; }
.ico.size-60 { width:60px !important; height:60px !important; }
.ico.rotate-90 { rotate:90deg; }
.ico.rotate-180 { rotate:180deg; }
.ico.rotate-270 { rotate:270deg; }
.ico.primary { fill:hsl(var(--color-primary)); }
.ico.secondary { fill:hsl(var(--color-secondary)); }
.ico.success { fill:hsl(var(--color-success));  }
.ico.error { fill:hsl(var(--color-error)); }
.ico.warning { fill:hsl(var(--color-warning)); }
.ico.info { fill:hsl(var(--color-info)); }
.ico.white { fill:hsl(var(--color-white)); }
.ico.black { fill:hsl(var(--color-black)); }
.ico.spin { -webkit-animation:spin 2500ms infinite linear; animation:spin 2500ms infinite linear; }
.ico.rspin { -webkit-animation:rspin 2500ms infinite linear; animation:rspin 2500ms infinite linear; }

/* Colors */
.clr.primary { color:hsl(var(--color-primary)); }
.clr.secondary { color:hsl(var(--color-secondary)); }
.clr.success { color:hsl(var(--color-success)); }
.clr.error { color:hsl(var(--color-error)); }
.clr.warning { color:hsl(var(--color-warning)); }
.clr.info { color:hsl(var(--color-info)); }
.clr.white { color:hsl(var(--color-white)); }
.clr.black { color:hsl(var(--color-black)); }
.clr.neutral-025 { color:hsl(var(--color-neutral-025)); }
.clr.neutral-050 { color:hsl(var(--color-neutral-050)); }
.clr.neutral-075 { color:hsl(var(--color-neutral-075)); }
.clr.neutral-100 { color:hsl(var(--color-neutral-100)); }
.clr.neutral-150 { color:hsl(var(--color-neutral-150)); }
.clr.neutral-200 { color:hsl(var(--color-neutral-200)); }
.clr.neutral-250 { color:hsl(var(--color-neutral-250)); }
.clr.neutral-300 { color:hsl(var(--color-neutral-300)); }
.clr.neutral-350 { color:hsl(var(--color-neutral-350)); }
.clr.neutral-400 { color:hsl(var(--color-neutral-400)); }
.clr.neutral-450 { color:hsl(var(--color-neutral-450)); }
.clr.neutral-500 { color:hsl(var(--color-neutral-500)); }
.clr.neutral-550 { color:hsl(var(--color-neutral-550)); }
.clr.neutral-600 { color:hsl(var(--color-neutral-600)); }
.clr.neutral-650 { color:hsl(var(--color-neutral-650)); }
.clr.neutral-700 { color:hsl(var(--color-neutral-700)); }
.clr.neutral-750 { color:hsl(var(--color-neutral-750)); }
.clr.neutral-800 { color:hsl(var(--color-neutral-800)); }
.clr.neutral-850 { color:hsl(var(--color-neutral-850)); }
.clr.neutral-900 { color:hsl(var(--color-neutral-900)); }
.clr.neutral-950 { color:hsl(var(--color-neutral-950)); }

/* Spacers */
.spc.xlarge { height:5rem; }
.spc.large { height:4rem; }
.spc.medium { height:3rem; }
.spc.small { height:2rem; }
.spc.xsmall { height:1rem; }

.frm.frm-1 { display:block; }
.frm.frm-1 textarea, 
.frm.frm-1 select, 
.frm.frm-1 input[type='text'], 
.frm.frm-1 input[type='password'] { width:100%; }
.frm.frm-1 textarea { height:12.6rem; }
.frm.frm-1 fieldset { margin:0 0 1.5rem 0; padding:1rem; background:hsl(var(--color-neutral-850)); -webkit-border-radius:0.5rem; -moz-border-radius:0.5rem; border-radius:0.5rem; box-shadow:2px 2px 8px 1px hsla(var(--color-black), 15%); }
.frm.frm-1 .row { padding:1rem 1.5rem; }
.frm.frm-1 .row:last-child { border-bottom:none; }
.frm.frm-1 .label { margin-bottom:0.5rem; font-size:0.9rem; line-height:1.5em; }
.frm.frm-1 .label .required { margin:0 0 0 0.5rem; font-size:0.8rem; line-height:1.5em; color:hsl(var(--color-error)); }
.frm.frm-1 .field > p { margin:1rem 0; font-size:0.9rem; line-height:1.5em; }
.frm.frm-1 .field .checkbox { display:block; margin-bottom:5px; }
.frm.frm-1 .notes { margin-top:0.5rem; font-size:0.9rem; line-height:1.5em; }
.frm.frm-1 .row.full-width .label { float:none; }
.frm.frm-1 .row.full-width .field { margin-left:0; }
.frm.frm-1 .form-block { display:none; xdisplay:flex; position:absolute; top:0; right:0; bottom:0; left:0; background:hsla(var(--color-neutral-850), 90%); justify-content:center; align-items:center; text-align:center; }
.frm.frm-1.blocked .form-block { display:flex; }

.pgr ul { margin:0; padding:0; list-style:none; overflow:hidden; }
.pgr ul li { float:left; margin:0; padding:0; }
.pgr ul li a, .pgr ul li span { display:block; width:40px; height:40px; color:hsl(var(--color-black)); line-height:40px; text-align:center; text-decoration:none; }
.pgr ul li.active a { color:hsl(var(--color-neutral-400)); }
.pgr ul li.disabled { color:hsl(var(--color-neutral-400)); }
.pgr ul li.info { float:right; height:40px; padding:0 20px; line-height:40px; }

.img { display:block; border:none; overflow:hidden; }
.img img { border:none; width:100%; height:100%; object-fit:contain; }
.img.overflow img { width:100%; height:100%; object-fit:cover; }
.img.stretch img { width:100%; height:100%; object-fit:fill; }
.img.width img { width:100%; height:auto; }
.img.height img { width:auto; height:100%; }

/* Animations (Play on load) */
[data-scroll-anim] { --anim-delay:0; }
[data-scroll-anim] { opacity:0; transition:transform 500ms ease-in-out, opacity 600ms ease-in-out; transition-delay:var(--anim-delay); }
[data-scroll-anim="up"]{ transform:translateY(1.5rem); }
[data-scroll-anim="down"]{ transform:translateY(-1.5rem); }
[data-scroll-anim="left"]{ transform:translateX(1rem); }
[data-scroll-anim="right"]{ transform:translateX(-1rem); }
[data-scroll-anim-status="in"]{ opacity:1; }
[data-scroll-anim="up"][data-scroll-anim-status="in"]{ transform:translateY(0); }
[data-scroll-anim="down"][data-scroll-anim-status="in"]{ transform:translateY(0); }
[data-scroll-anim="left"][data-scroll-anim-status="in"]{ transform:translateX(0); }
[data-scroll-anim="right"][data-scroll-anim-status="in"]{ transform:translateX(0); }

/* Navigation */
nav.primary { display:flex; justify-content:end; align-items:center; }
nav.primary ul { margin:0; padding:0; list-style:none; text-align:right;  }
nav.primary ul li { display:inline-block; margin:0 1rem; padding:0; vertical-align:middle; }
nav.primary ul li a { display:block; padding:0.5rem 1rem; color:hsl(var(--color-black)); text-decoration:none; text-transform:uppercase; }
nav.primary ul li a:hover,
nav.primary ul li a:focus { color:hsl(var(--color-primary)); }
nav.primary .nav-primary__cta { flex-shrink:0; padding-left:1.5rem; }

nav.secondary ul { margin:0; padding:0; list-style:none; border-top:solid 1px hsl(var(--color-neutral-100)); }
nav.secondary ul li { margin:0; padding:1rem 0; border-bottom:solid 1px hsl(var(--color-neutral-100)); }
nav.secondary ul li a { color:hsl(var(--color-black)); }
nav.secondary ul li a:hover,
nav.secondary ul li a:focus { color:hsl(var(--color-primary)); }

nav.footer { text-align:right; }
nav.footer ul { display:inline-block; margin:0 0 0 auto; padding:0; list-style:none; }
nav.footer ul li { float:left; margin:0 0 0 2rem; padding:0; }
nav.footer ul li a { color:hsl(var(--color-white)); text-decoration:none; }
nav.footer ul li a:hover,
nav.footer ul li a:focus { text-decoration:underline; }

/* Sections */
header { display:flex; justify-content:space-between; align-items:center; padding:2rem; color:hsl(var(--color-white));  }
header .logo { width:100%; }
header .logo img { display:block; width:100%; }
header .logo__premier { max-width:200px; }
header .logo__tecdoc { max-width:120px; opacity:0.3; }
footer { padding:1rem 0 6rem 0; }
main section.content.main { padding:0; }
main section.content.main.no-pad { padding:0; }
main section.content.main.no-pad-top { padding-top:0; }
main section.content.main.no-pad-bottom { padding-bottom:0; }

/* Popups */
.mfp-loader { position:relative; text-align:center;  }
.mfp-loader__inner { display:inline-block; margin:0 auto; padding:25px 25px; background:hsl(var(--color-white)); border-radius:45px; }
.mfp-loader__message { margin:1rem 0 0 0; }

.mfp-flash { position:relative; width:auto; max-width:400px; margin:0 auto; padding:5rem 2rem 6rem 2rem; text-align:center; font-size:1.1rem; line-height:1.7em; border-radius:5px; background-color:hsl(var(--color-white)); }
.mfp-flash__icon { margin-bottom:3rem; }
.mfp-flash__message {  }
.mfp-flash__redirect { margin-top:3rem; }
.mfp-flash__redirect-btn { min-width:100px; padding:0.2rem 1rem; font-size:0.8rem; font-weight:700; }
.mfp-flash.error .mfp-flash__icon .ico { fill:hsl(var(--color-error)); }
.mfp-flash.error .mfp-flash__redirect-btn { background-color:hsl(var(--color-error)); border-color:hsl(var(--color-error)); }
.mfp-flash.success .mfp-flash__icon .ico { fill:hsl(var(--color-success)); }
.mfp-flash.success .mfp-flash__redirect-btn { background-color:hsl(var(--color-success)); border-color:hsl(var(--color-success)); }

/* HTML Formatting */
.html h1, .html h2, .html h3, .html h4, .html h5, .html h6 { margin:0 0 1.2rem 0; font-weight:bold; }
.html h1 { font-size:1.6rem; line-height:1.5em; }
.html h2 { font-size:1.5rem; line-height:1.5em; }
.html h3 { font-size:1.3rem; line-height:1.5em; }
.html h4 { font-size:1.3rem; line-height:1.5em; }
.html h5 { font-size:1.2rem; line-height:1.5em; }
.html h6 { font-size:1.1rem; line-height:1.5em; }
.html p { margin:0; padding:0; }
.html p + p { margin-top:20px; }
.html table { width:100%; background:hsl(var(--color-neutral-850)); border-collapse:collapse; border-left:solid 1px hsl(var(--color-neutral-750)); border-top:solid 1px hsl(var(--color-neutral-750)); }
.html table th, .html table td { text-align:left; vertical-align:top; padding:10px; border-right:solid 1px hsl(var(--color-neutral-750)); border-bottom:solid 1px hsl(var(--color-neutral-750)); }
.html blockquote { margin:0px 0px 19px 0px; padding:0px 0px 1px 20px; border-left:solid 3px hsl(var(--color-neutral-100)); font-style:italic; }
.html ul, .html ol { margin:20px 0; padding:0 0 0 30px; }
.html ul li { list-style-type:disc; list-style-position:outside; padding:5px 0px 5px 0px; }	
.html ol li { list-style-type:decimal; list-style-position:outside; padding:5px 0px 5px 0px; }
.html dl dt { font-weight:bold; }
.html dl dd { margin-left:15px; font-style:italic; }
.html hr { display:block; height:3px; border:none; background:hsl(var(--color-neutral-100)); } 

/* Medium screens */
@media (max-width:1199px) {
}

/* Small screens */
@media (max-width:991px) {
}

/* Xtra Small screens */
@media (max-width:767px) {
}

/* Animations */
@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(359deg);
		transform: rotate(359deg);
	}
}
@keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(359deg);
		transform: rotate(359deg);
	}
}
@-webkit-keyframes rspin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(-359deg);
		transform: rotate(-359deg);
	}
}
@keyframes rspin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(-359deg);
		transform: rotate(-359deg);
	}
}

@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(359deg);
		transform: rotate(359deg);
	}
}
@keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(359deg);
		transform: rotate(359deg);
	}
}